import React, { PropsWithChildren } from 'react';
import { StatusBarStyle } from 'react-native';
export declare type PopupProps = {
    visible: boolean;
    closeOnClickOverlay?: boolean;
    barStyle?: StatusBarStyle;
    onClose?: () => void;
    onAnimationStart?: () => void;
    onAnimationEnd?: () => void;
};
declare const Popup: React.FC<PropsWithChildren<PopupProps>>;
export default Popup;
